import React, { Component } from 'react';
interface EventTarget {
    target: {
        value: string;
    };
}
type BaseProps = Omit<React.AllHTMLAttributes<HTMLInputElement>, 'onChange'>;
export type ReactCodeflaskProps = BaseProps & {
    /**
     * Default code value.
     */
    value?: string;
    /**
     * The default highlight lanugage.
     */
    language?: string;
    /**
     * Max height when show scroll.
     */
    height?: number | string;
    /**
     * If readonly.
     */
    readOnly?: boolean;
    /**
     * If disabled.
     */
    disabled?: boolean;
    /**
     * The change handler.
     */
    onChange?: (event: EventTarget) => void;
    /**
     * Adapter options
     */
    options?: any;
};
export default class ReactCodeflask extends Component<ReactCodeflaskProps> {
    static displayName: string;
    static version: string;
    static defaultProps: {
        height: number;
        value: string;
        language: string;
        readOnly: boolean;
        options: {
            lineNumbers: boolean;
        };
    };
    private root;
    private jar;
    state: {
        minHeight: number;
        loading: boolean;
    };
    get computedMinHeight(): number;
    get computedStyle(): any;
    private addLangs;
    private autoUpdate;
    shouldComponentUpdate(inProps: any): boolean;
    componentDidMount(): void;
    componentWillUnmount(): void;
    updateJar: (inValue: any) => void;
    handleFormat: () => void;
    render(): React.JSX.Element;
}
export {};
